Package org.firebirdsql.gds.ng.wire.version13

## Class V13Statement

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbStatement
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
    - - org.firebirdsql.gds.ng.wire.version10.V10Statement
      - - org.firebirdsql.gds.ng.wire.version11.V11Statement
        - - org.firebirdsql.gds.ng.wire.version12.V12Statement
          - - org.firebirdsql.gds.ng.wire.version13.V13Statement

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `FbStatement`, `ExceptionListenable`, `FbWireStatement`
  Direct Known Subclasses:
    `V16Statement`

      public class V13Statement
      extends V12Statement

  Author:
    Mark Rotteveel

- - ### Field Summary

    - ### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

      `exceptionListenerDispatcher, statementListenerDispatcher`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `V13Statement​(FbWireDatabase database)` | Creates a new instance of V13Statement for the specified database.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected RowValue` | `readSqlData()` | Reads a single row from the database.
    `protected void` | `writeSqlData​(XdrOutputStream xdrOut, BlrCalculator blrCalculator, RowDescriptor rowDescriptor, RowValue fieldValues, boolean useActualLength)` |
    `protected void` | `writeSqlData​(RowDescriptor rowDescriptor, RowValue fieldValues, boolean useActualLength)` | Write a set of SQL data from a `RowValue`.

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

      `free, prepare`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

      `doFreePacket, execute, fetchRows, getDefaultSqlInfoSize, getMaxSqlInfoSize, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFreeResponse, processPrepareResponse, readColumnData, sendAllocate, sendExecute, sendFetch, sendFree, sendPrepare, setCursorName, writeColumnData`

    - ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

      `calculateBlr, calculateBlr, close, emptyRowDescriptor, getBlrCalculator, getDatabase, getHandle, getInfo, getSqlInfo, getXdrIn, getXdrOut, isValidTransactionClass, setHandle, withLock, wrapDeferredResponse`

    - ### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

      `addExceptionListener, addStatementListener, checkStatementValid, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, fetchScroll, fetchScrollImpl, finalize, forceState, getAllowedTimeout, getCursorInfo, getCursorInfo, getCursorInfoImpl, getExecutionPlan, getExplainedExecutionPlan, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getTimeout, getTransaction, getTransactionListener, getType, hasFetched, hasFields, hasSingletonResult, isAfterLast, isBeforeFirst, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, reset, resetAll, setAfterLast, setBeforeFirst, setParameterDescriptor, setRowDescriptor, setTimeout, setTransaction, setType, signalExecute, signalFetch, switchState, unprepare, validateParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

      `addExceptionListener, removeExceptionListener`

    - ### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

      `addStatementListener, batchCancel, batchExecute, clearCursorFlag, close, closeCursor, closeCursor, createBatchParameterBuffer, deferredBatchCreate, deferredBatchRelease, deferredBatchSend, emptyRowDescriptor, ensureClosedCursor, fetchScroll, getCursorInfo, getCursorInfo, getDatabase, getExecutionPlan, getExplainedExecutionPlan, getHandle, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getSqlInfo, getState, getTimeout, getTransaction, getType, hasFetched, isCursorFlagSet, removeStatementListener, setCursorFlag, setTimeout, setTransaction, supportBatchUpdates, supportsCursorInfo, supportsFetchScroll, unprepare, validateParameters, withLock`

- - ### Constructor Detail

    - #### V13Statement

          public V13Statement​(FbWireDatabase database)

      Creates a new instance of V13Statement for the specified database.
      Parameters:
        `database` - FbWireDatabase implementation

  - ### Method Detail

    - #### readSqlData

          protected RowValue readSqlData()
                                  throws java.sql.SQLException,
                                         java.io.IOException

      Description copied from class: `V10Statement`
      Reads a single row from the database.
      Overrides:
        `readSqlData` in class `V10Statement`
      Returns:
        Row as a `RowValue`
      Throws:
        `java.sql.SQLException`
        `java.io.IOException`

    - #### writeSqlData

          protected void writeSqlData​(RowDescriptor rowDescriptor,
                                      RowValue fieldValues,
                                      boolean useActualLength)
                               throws java.io.IOException,
                                      java.sql.SQLException

      Description copied from class: `V10Statement`
      Write a set of SQL data from a `RowValue`.
      Overrides:
        `writeSqlData` in class `V10Statement`
      Parameters:
        `rowDescriptor` - The row descriptor
        `fieldValues` - The List containing the SQL data to be written
        `useActualLength` - Should actual field length be used (applies to CHAR)
      Throws:
        `java.io.IOException` - if an error occurs while writing to the underlying output stream
        `java.sql.SQLException`

    - #### writeSqlData

          protected void writeSqlData​(XdrOutputStream xdrOut,
                                      BlrCalculator blrCalculator,
                                      RowDescriptor rowDescriptor,
                                      RowValue fieldValues,
                                      boolean useActualLength)
                               throws java.io.IOException,
                                      java.sql.SQLException

      Throws:
        `java.io.IOException`
        `java.sql.SQLException`